import { DigiNgFormRadiobuttonGroupModule } from '@af/digi-ng/_form/form-radiobutton-group';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { SignalFormComponent } from './signal-form.component';
import { SignalFormService } from './signal-form.service';
import { ApmModule } from '@elastic/apm-rum-angular';

describe('SignalFormComponent', () => {
  let component: SignalFormComponent;
  let fixture: ComponentFixture<SignalFormComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SignalFormComponent, LayoutComponent],
      imports: [
        RouterTestingModule,
        HttpClientTestingModule,
        ApmModule,
        ReactiveFormsModule,
        DigiNgFormRadiobuttonGroupModule,
      ],
      providers: [SignalFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SignalFormComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
